package com.securitycontrol.inter.mapper;

import com.securitycontrol.inter.vo.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 边带处理接口层
 * @author 黑子
 */
@Repository
public interface BdMapper {

    /**
     * 查询工程 通过名称
     * @param param
     * @return
     */
    List<ProjectVo> getProjectByName(InterfaceParamVo param);

    /**
     * 查询标段工程名称
     * @param param
     * @return
     */
    List<SingleProVo> getPepsinInfoByPrcNo(InterfaceParamVo param);

    /**
     * 查询标段信息
     * @param param
     * @return
     */
    List<BidProjectVo> getSGTenderListBySinList(InterfaceParamVo param);

    /**
     * 查询全部人员信息
     * @param param
     * @return
     */
    List<UserInfoVo> getPeopleInfo(InterfaceParamVo param);

    /**
     * 边带绑定设备
     * @param param
     * @return
     */
    int bindBdPro(InterfaceParamVo param);

    /**
     * 查询设备是否成功
     * @param param
     * @return
     */
    int getDeviceNumById(DeviceInfoVo param);

    /**
     * 新增设备信息
     * @param param
     * @return
     */
    int insertData(DeviceInfoVo param);

    /**
     * 删除设备信息
     * @param param
     * @return
     */
    int deviceDel(InterfaceParamVo param);

    /**
     * 更新设备在线状态
     * @param param
     * @return
     */
    int deviceStatus(DeviceInfoVo param);

    /**
     * 查询标段工程编码
     * @param param
     * @return
     */
    String getBidCodeByBd(WarnInfoVo param);

    /**
     * 新增告警信息
     * @param param
     * @return
     */
    int insertWarn(WarnInfoVo param);

    /**
     * 依据设备id查询系统 的设备编码
     * @param id
     * @return
     */
    String getDevCodeById(String id);

    /**
     * 查询属性id 依据设备id 属性编码
     * @param id
     * @param id1
     * @return
     */
    SelectDataVo getBdDeviceDetailByIdCode(@Param("id") String id, @Param("code") String id1);

    /**
     * 插入数据
     * @param selectDataVo
     */
    void insertValue(SelectDataVo selectDataVo);

    /**
     * 插入历史数据
     * @param selectDataVo
     */
    void insertHistoryValue(SelectDataVo selectDataVo);
}
